# Tổng quan

```
URL : https://public-v1-stg.omicall.com
Version : 2.1.03
Last Updated : 25/04/2021
```

## API Key

Đăng ký tài khoản tại : [https://sso.omicall.io/](https://sso.omicrm.com/)

* Truy cập **Tài khoản > Cấu hình > Quản lý API**
* Tạo Api key cho doanh nghiệp, yêu cầu và thu hồi

![Cấu hình >> Tích hợp >> API](/files/eDFsFVrFrj7dgJMzEBcj)

**Thuật ngữ và loại dữ liệu dùng trong OMI**

| Thuật ngữ         | Mô tả                                                                                                            |
| ----------------- | ---------------------------------------------------------------------------------------------------------------- |
| **OMICALL\_API**  | Hệ thống cho phép đối tác thao tác với dữ liệu của mình trên OMI thông qua API                                   |
| **ACCESS\_TOKEN** | Là token mà OMI cung cấp cho đối tác, để thao tác với OMICALL API. Token sẽ có thời gian timeout là **24** (giờ) |
| **API\_KEY**      | Là khóa định danh API cho mỗi doanh nghiệp, dùng để kết nối với OMICALL. Dùng API Key để lấy Access Token        |

**RESPONSE**

| STT | Code             | Type    | Description                                                                                         |
| --- | ---------------- | ------- | --------------------------------------------------------------------------------------------------- |
| 1   | **status\_code** | Integer | <p><strong>9999</strong> : Thao tác thành công</p><p><strong>-9999</strong> : Thao tác thất bại</p> |
| 2   | **message**      | String  | Mã lỗi hoặc thông báo lỗi                                                                           |
| 3   | **payload**      | Object  | Dữ liệu trả về sau xử lý                                                                            |

**ERROR CODE**

| Code                      | Description                                     |
| ------------------------- | ----------------------------------------------- |
| *api\_key\_is\_required*  | API Key là bắt buộc                             |
| *api\_key\_invalid*       | API Key không hợp lệ                            |
| *request\_body\_required* | Thiếu request body trong dữ liệu truyền lên api |

**DANH SÁCH TỐC ĐỘ ĐỌC AI BOT**

```
[
    {
        "label": "Bình thường",
        "value": 1
    },
    {
        "label": "Nhanh",
        "value": 0.8
    },
    {
        "label": "Nhanh vừa",
        "value": 0.9
    },
    {
        "label": "Chậm",
        "value": 1.2
    },
    {
        "label": "Chậm vừa",
        "value": 1.1
    }
]
```

**DANH SÁCH GIỌNG ĐỌC AI BOT**

```
[
  {
    "label": "Ngọc Anh",
    "value": "northern_female_ngocanh",
    "gender": "female",
    "region": "northern"
  },
  {
    "label": "Tiến Huy",
    "value": "southern_male_tienhuy",
    "gender": "male",
    "region": "southern"
  },
  {
    "label": "Anh Kiệt",
    "value": "northern_male_anhkiet",
    "gender": "male",
    "region": "northern"
  },
  {
    "label": "Khả Ngân",
    "value": "southern_female_khangan",
    "gender": "female",
    "region": "southern"
  }
]

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.omicall.com/omicall-api/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
